package cd.casic.ci.common.pipeline.utils;


import org.json.JSONObject;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.utils
 * @Project：ops-pro
 * @name：TransferUtil
 * @Date：2025/03/26 16:09
 * @Filename：TransferUtil
 * @description：Todo
 */
public class TransferUtil {

    /**
     * 简化input, 如果是默认值则去掉
     *
     * @param defaultValue 默认值的 JSONObject
     * @param input 输入的参数 Map
     * @return 简化后的可变 Map
     */
    public static Map<String, Object> simplifyParams(JSONObject defaultValue, Map<String, Object> input) {
        Map<String, Object> out = new HashMap<>(input);
        if (defaultValue != null) {
            java.util.Iterator<String> keys = defaultValue.keys();
            while (keys.hasNext()) {
                String key = keys.next();
                Object inputValue = out.get(key);
                if (inputValue == null) {
                    continue;
                }
                JSONObject defaultObj = new JSONObject();
                defaultObj.put(key, defaultValue.get(key));
                JSONObject inputObj = new JSONObject();
                inputObj.put(key, inputValue);
                if (defaultObj.similar(inputObj)) {
                    out.remove(key);
                }
            }
        }
        return out;
    }

    /**
     * 填充input，如果input没有，defaultValueMap有，则填充进去。
     *
     * @param defaultValue 默认值的 JSONObject
     * @param input 输入的参数 Map
     * @return 合并后的可变 Map
     */
    public static Map<String, Object> mixParams(JSONObject defaultValue, Map<String, Object> input) {
        Map<String, Object> out = new HashMap<>(input != null ? input : new HashMap<>());
        if (defaultValue != null) {
            java.util.Iterator<String> keys = defaultValue.keys();
            while (keys.hasNext()) {
                String key = keys.next();
                Object value = out.get(key);
                if (value == null) {
                    out.put(key, defaultValue.get(key));
                }
            }
        }
        return out;
    }


}
