package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Schema(title = "CMDB节点信息")
public class CmdbNode {
    @Schema(title = "节点名称", required = true)
    private final String name;
    
    @Schema(title = "责任人", required = true)
    private final String operator;
    
    @Schema(title = "备份责任人", required = true)
    private final String bakOperator;
    
    @Schema(title = "节点IP", required = true)
    private final String ip;
    
    @Schema(title = "显示IP", required = true)
    private final String displayIp;
    
    @Schema(title = "操作系统", required = true)
    private final String osName;
    
    @Schema(title = "所属业务")
    private final Long bizId;
    
    @Schema(title = "节点状态")
    private String nodeStatus;
    
    @Schema(title = "是否已导入")
    private Boolean importStatus;
    
    @Schema(title = "主机id")
    private final Long serverId;

    public CmdbNode(String name, String operator, String bakOperator, String ip, 
            String displayIp, String osName, Long bizId, String nodeStatus, 
            Boolean importStatus, Long serverId) {
        this.name = name;
        this.operator = operator;
        this.bakOperator = bakOperator;
        this.ip = ip;
        this.displayIp = displayIp;
        this.osName = osName;
        this.bizId = bizId;
        this.nodeStatus = nodeStatus;
        this.importStatus = importStatus;
        this.serverId = serverId;
    }
} 