package cd.casic.ci.log.dal.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.val;

/**
 * @author by mianbin
 * @Classname LogLine
 * @Date 2025/3/19 17:35
 */
@Data
@Schema(title = "日志模型")
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
public class LogLine {

    @Schema(description = "日志行号", required = true)
    private long lineNo;
    @Schema(description = "日志时间戳", required = true)
    private long timestamp;
    @Schema(description = "日志消息体", required = true)
    private String message;
    @Schema(description = "日志权重级", required = true)
    private Byte priority = 0;
    @Schema(description = "日志tag", required = true)
    private String tag = "";
    @Schema(description = "日志子tag", required = true)
    private String subTag = "";
    @Schema(description = "日志jobId", required = true)
    private String jobId = "";
    @Schema(title = "日志containerHashId", required = true)
    private String containerHashId;
    @Schema(title = "日志stepId", required = true)
    private String stepId;
    @Schema(description = "日志执行次数", required = true)
    private int executeCount = 1;

    @Override
    public int hashCode() {
        return (int) (lineNo ^ (lineNo >>> 32));
    }

}
