package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.pojo.BuildParameters;
import cd.casic.ci.common.pipeline.pojo.ErrorInfo;
import cd.casic.ci.process.api.process.pojo.code.WebhookInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.apache.tomcat.jni.FileInfo;

import java.util.List;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildHistoryWithVars
 * @Date：2025/03/24 15:02
 * @Filename：BuildHistoryWithVars
 * @description：Todo
 */
@Data
@Schema(title = "带构建变量的历史构建模型")
public class BuildHistoryWithVars {
    @Schema(title = "构建ID", required = true)
    private String id;
    @Schema(title = "启动用户", required = true)
    private String userId;
    @Schema(title = "触发条件", required = true)
    private String trigger;
    @Schema(title = "构建号", required = true)
    private Integer buildNum;
    @Schema(title = "编排文件版本号", required = true)
    private int pipelineVersion;
    @Schema(title = "开始时间", required = true)
    private long startTime;
    @Schema(title = "结束时间", required = true)
    private Long endTime;
    @Schema(title = "状态", required = true)
    private String status;
    @Schema(title = "各阶段状态", required = true)
    private List<BuildStageStatus> stageStatus;
    @Schema(title = "服务器当前时间戳", required = true)
    private long currentTimestamp;
    @Schema(title = "是否是手机启动", required = false)
    private boolean isMobileStart = false;
    @Schema(title = "原材料", required = false)
    private List<PipelineBuildMaterial> material;
    @Schema(title = "排队于", required = false)
    private Long queueTime;
    @Schema(title = "排队位置", required = false)
    private int currentQueuePosition = 0;
    @Schema(title = "构件列表", required = false)
    private List<FileInfo> artifactList;
    @Schema(title = "备注", required = false)
    private String remark;
    @Schema(title = "总耗时(毫秒)", required = false)
    private Long totalTime;
    @Schema(title = "运行耗时(毫秒，不包括人工审核时间)", required = false)
    private Long executeTime;
    @Schema(title = "启动参数", required = false)
    private List<BuildParameters> buildParameters;
    @Schema(title = "WebHook类型", required = false)
    private String webHookType;
    @Schema(title = "webhook信息", required = false)
    private WebhookInfo webhookInfo;
    @Schema(title = "启动类型(新)", required = false)
    private String startType;
    @Schema(title = "推荐版本号", required = false)
    private String recommendVersion;
    @Schema(title = "是否重试", required = false)
    private boolean retry = false;
    @Schema(title = "流水线任务执行错误", required = false)
    private List<ErrorInfo> errorInfoList;
    @Schema(title = "构建信息", required = false)
    private String buildMsg;
    @Schema(title = "自定义构建版本号", required = false)
    private String buildNumAlias;
    @Schema(title = "构建变量集合(30天左右过期删除)", required = true)
    private Map<String, String> variables;
}
