package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件版本列表")
public class AtomVersionListItem {
    @Schema(title = "插件ID")
    private String atomId;
    @Schema(title = "插件标识")
    private String atomCode;
    @Schema(title = "名称")
    private String name;
    @Schema(title = "插件所属范畴，TRIGGER：触发器类插件 TASK：任务类插件", required = false)
    private String category;
    @Schema(title = "版本号")
    private String version;
    @Schema(title = "版本内容")
    private String versionContent;
    @Schema(title = "插件状态，INIT：初始化|COMMITTING：提交中|BUILDING：构建中|BUILD_FAIL：构建失败|TESTING：测试中|" +
            "AUDITING：审核中|AUDIT_REJECT：审核驳回|RELEASED：已发布|GROUNDING_SUSPENSION：上架中止|" +
            "UNDERCARRIAGING：下架中|UNDERCARRIAGED：已下架", required = true)
    private String atomStatus;
    @Schema(title = "创建人")
    private String creator;
    @Schema(title = "创建时间")
    private String createTime;
}