package cd.casic.pipeline.store.pojo.common.sensitive;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "敏感API信息")
public class SensitiveApiInfo {
    @Schema(title = "ID")
    private String id;
    
    @Schema(title = "store组件类别 ATOM:插件 TEMPLATE:模板 IMAGE:镜像 IDE_ATOM:IDE插件", required = true)
    private StoreTypeEnum storeType;
    
    @Schema(title = "store组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "API名称", required = true)
    private String apiName;
    
    @Schema(title = "API别名,不同语言SDK中敏感API对应的方法名", required = true)
    private String aliasName;
    
    @Schema(title = "API等级 NORMAL: 普通 SENSITIVE: 敏感", required = true)
    private String apiLevel;
    
    @Schema(title = "API状态 WAIT:待审批，PASS:通过，REFUSE:拒绝, CANCEL: 取消", required = true)
    private String apiStatus;
    
    @Schema(title = "申请描述", required = true)
    private String applyDesc;
    
    @Schema(title = "审批信息", required = false)
    private String approveMsg;
    
    @Schema(title = "创建人", required = true)
    private String creator;
    
    @Schema(title = "修改人", required = true)
    private String modifier;
    
    @Schema(title = "创建日期", required = true)
    private long createTime = 0;
    
    @Schema(title = "更新日期", required = true)
    private long updateTime = 0;
}